Bug 728579 - errata install on consumer group failing
errata install on consumer group failing
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: user-experience (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jeff Ortel
Preethi Thomas
:
Depends On: 789454 790598
Blocks: pulp-verified
  Show dependency treegraph
 
Reported: 2011-08-05 12:41 EDT by Preethi Thomas
Modified: 2013-09-09 12:31 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-08-16 10:01:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Preethi Thomas 2011-08-05 12:41:18 EDT
Description of problem:

Errata install on consumer group failing with key error.

Version-Release number of selected component (if applicable):

[root@preethi ~]# rpm -q pulp
pulp-0.0.221-1.fc14.noarch


[root@preethi ~]# pulp-admin errata install  -e FEDORA-2011-3045 --consumergroupid=grp1 
Created task id: 6dfb9f43-aad2-4916-8937-f064b1489d43
Traceback (most recent call last):
  File "/usr/bin/pulp-admin", line 23, in <module>
    admin.main()
  File "/usr/lib/python2.7/site-packages/pulp/client/lib/cli.py", line 141, in main
    command.main(args[1:])
  File "/usr/lib/python2.7/site-packages/pulp/client/pluginlib/command.py", line 129, in main
    action.main(args[1:])
  File "/usr/lib/python2.7/site-packages/pulp/client/pluginlib/command.py", line 211, in main
    self.run()
  File "/usr/lib/python2.7/site-packages/pulp/client/admin/plugins/errata.py", line 166, in run
    spath = task['status_path']
KeyError: 'status_path'



Additional info:
Comment 1 Jeff Ortel 2011-08-05 15:08:22 EDT
This was missed during migration to jobs.
Comment 2 Jeff Ortel 2011-08-05 15:09:35 EDT
Fixed.
Comment 3 Jeff Ortel 2011-08-05 17:02:23 EDT
build: 0.222
Comment 4 Preethi Thomas 2011-08-09 09:17:13 EDT
verified
[root@preethi ~]# rpm -q pulp
pulp-0.0.223-1.fc14.noarch

[root@preethi ~]# pulp-admin errata install -e FEDORA-2011-6589 --consumergroupid=grp1
Created job id: ca9f1745-fba1-4565-995c-8d749e5ad0f8
Waiting: [\] 
Install Summary:
	[ FINISHED ] pulp-client; packages installed: ['device-mapper-event-libs-1.02.54-3.fc14.x86_64', 'lvm2-libs-2.02.84-2.fc14.x86_64', 'lvm2-2.02.84-2.fc14.x86_64', 'device-mapper-1.02.54-3.fc14.x86_64', 'device-mapper-event-1.02.54-3.fc14.x86_64', 'lvm2-libs-2.02.73-3.fc14.x86_64', 'device-mapper-libs-1.02.54-3.fc14.x86_64', 'lvm2-2.02.73-3.fc14.x86_64', 'device-mapper-event-1.02.63-2.fc14.x86_64', 'device-mapper-libs-1.02.63-2.fc14.x86_64', 'device-mapper-event-libs-1.02.63-2.fc14.x86_64', 'device-mapper-1.02.63-2.fc14.x86_64']
	[ FINISHED ] preethi; packages installed: ['device-mapper-event-libs-1.02.54-3.fc14.x86_64', 'lvm2-libs-2.02.84-2.fc14.x86_64', 'lvm2-2.02.84-2.fc14.x86_64', 'device-mapper-1.02.54-3.fc14.x86_64', 'device-mapper-event-1.02.54-3.fc14.x86_64', 'lvm2-libs-2.02.73-3.fc14.x86_64', 'device-mapper-libs-1.02.54-3.fc14.x86_64', 'lvm2-2.02.73-3.fc14.x86_64', 'device-mapper-event-1.02.63-2.fc14.x86_64', 'device-mapper-libs-1.02.63-2.fc14.x86_64', 'device-mapper-event-libs-1.02.63-2.fc14.x86_64', 'device-mapper-1.02.63-2.fc14.x86_64']
Comment 5 Preethi Thomas 2011-08-16 10:01:53 EDT
Closing with Community Release 15

pulp-0.0.223-4.

Note You need to log in before you can comment on or make changes to this bug.